numSimpleEffect.h File Reference
`#include "osl/simpleState.h"`
`#include "osl/bits/numBitmapEffect.h"`
`#include "osl/bits/boardMask.h"`
`#include "osl/bits/bitXmask.h"`
`#include "osl/bits/effectedNumTable.h"`
`#include "osl/mobility/mobilityTable.h"`

Go to the source code of this file.

## Classes

class | osl::effect::NumSimpleEffectTable
| 局面全体の利きデータ. More...
class | osl::NumBitmapEffect
| 現在の定義 (2005/3/4以降) More...

## Namespaces

namespace | osl
namespace | osl::checkmate
namespace | osl::effect

## Functions

bool | osl::effect::operator== (const NumSimpleEffectTable &et1, const NumSimpleEffectTable &et2)
std::ostream & | osl::effect::operator<< (std::ostream &, const NumSimpleEffectTable &)
bool | osl::effect::operator!= (const NumSimpleEffectTable &et1, const NumSimpleEffectTable &et2)